gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget for selecting a color.

The ColorSelection consists of a color wheel and number of sliders and entry boxes for color parameters such as hue, saturation, value, red, green, blue, and opacity. It is found on the standard color selection dialog box, .

This widget displays the 'selected' color as well as the previously selected color.

Gtk.VBox Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Boolean `` `` `` To be added To be added: an object of type 'string' To be added: an object of type 'Gdk.Color' To be added: an object of type 'int' To be added: an object of type 'bool' To be added
- Method
  System.String `` `` To be added To be added: an object of type 'Gdk.Color' To be added: an object of type 'int' To be added: an object of type 'string' To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gdk.Color' To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gdk.Color' To be added
- Method
  System.Boolean Gets the current state of the ColorSelection if the user is currently dragging a color around, if the selection has stopped.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of ColorSelection, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of ColorSelection, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to create a new ColorSelection
  A new ColorSelection
- Property
  System.UInt32 The GLib Type for Gtk.ColorSelection The GLib TYpe for the Gtk.ColorSelection class.
- Property
  System.UInt16 `` Get the alpha value of the previous color A new setting for the 'previous' alpha value. The previous alpha value - an integer between 0 and 65535.

  It may be confusing for a user if this property is set with no interaction from them.

- Property
  Gdk.Color `` Manage the current color of the ColorSelection. A color to set as the 'current' color. The currently selected color in this ColorSelection.
- Property
  System.Boolean `` Manage whether or not the ColorSelection displays a palette. to display a palette in the ColorSelection, otherwise. if a palette is currently part of the ColorSelection, otherwise.
- Property
  System.Boolean `` Manage whether or not opacity is part of the ColorSelection. to display opacity controls, otherwise. if the user can edit opacity, otherwise.
- Property
  System.UInt16 `` Manage the current alpha value of the ColorSelection. Sets the current opacity. The existing opacity of this ColorSelection.
- Event
  This event is fired when the current color changes in the ColorSelection.